Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 3448)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 3449)
@@ -19,6 +19,7 @@
 import org.txm.searchengine.cqp.corpus.CqpObject;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.searchengine.cqp.rcp.messages.CQPUIMessages;
 import org.txm.utils.logger.Log;
 
 public class ComputeIntersection extends BaseAbstractHandler {
@@ -46,7 +47,7 @@
 			if (o instanceof Subcorpus) subcorpora.add((Subcorpus) o);
 		
 		if (subcorpora.size() != 2) {
-			System.out.println("Error: selection size != 2 : " + subcorpora.size());
+			System.out.println(CQPUIMessages.ErrorSelectionSize2 + subcorpora.size());
 			return null;
 		}
 		
@@ -62,7 +63,7 @@
 			}
 		}
 		if (set.size() > 1) {
-			System.out.println("Error: selected subcorpus have different main corpus: " + set);
+			System.out.println(CQPUIMessages.ErrorSelectedSubcorpusHaveDifferentMainCorpusP0 + set);
 			return null;
 		}
 		
@@ -70,7 +71,7 @@
 		String id1 = subcorpora.get(0).getQualifiedCqpId();
 		String id2 = subcorpora.get(1).getQualifiedCqpId();
 		String cqpid = CqpObject.subcorpusNamePrefix + CQPCorpus.getNextSubcorpusCounter();
-		String command = "inter";
+		String command = "inter"; //$NON-NLS-1$
 		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 		
 		// TODO: finish the command
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java	(revision 3448)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java	(revision 3449)
@@ -54,6 +54,7 @@
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.rcp.editor.PartitionEditor;
+import org.txm.searchengine.cqp.rcp.messages.CQPUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -134,7 +135,7 @@
 		Partition part = null;
 		if (firstElement instanceof CQPCorpus) {
 			part = new Partition((CQPCorpus) firstElement);
-			part.setParameters("", new ArrayList<String>(), new ArrayList<String>());
+			part.setParameters("", new ArrayList<String>(), new ArrayList<String>()); //$NON-NLS-1$
 		}
 		else if (firstElement instanceof Partition) {
 			part = (Partition) firstElement;
@@ -192,11 +193,11 @@
 								}
 							}
 							if (emptyParts.size() == partition.getPartsCount()) {
-								Log.warning(NLS.bind("Error: all parts are empty.", partition.getPartsCount()));
+								Log.warning(NLS.bind(CQPUIMessages.ErrorAllPartsAreEmpty, partition.getPartsCount()));
 								return Status.CANCEL_STATUS;
 							}
 							else if (emptyParts.size() != 0) {
-								Log.warning(NLS.bind("Warning: some parts are empty: {0}", emptyParts));
+								Log.warning(NLS.bind(CQPUIMessages.WarningSomePartsAreEmptyP0, emptyParts));
 							}
 							
 							subMonitor.subTask(TXMUIMessages.refreshingCorpora);
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/ExportCorpusDialog.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/ExportCorpusDialog.java	(revision 3448)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/ExportCorpusDialog.java	(revision 3449)
@@ -37,6 +37,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.objects.Project;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.rcp.messages.CQPUIMessages;
 
 /**
  * Allow to select the file to create and select elements to include in the binary
@@ -48,7 +49,7 @@
 	/**
 	 * list of the default files to include in the corpus binary
 	 */
-	private List<String> defaultFiles = Arrays.asList("HTML", "txm", "data", "registry", "analec", "temporary_annotations", "xsl", "css", ".settings", ".project", "doc");
+	private List<String> defaultFiles = Arrays.asList("HTML", "txm", "data", "registry", "analec", "temporary_annotations", "xsl", "css", ".settings", ".project", "doc"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$
 	
 	private File zipFile;
 	
@@ -89,7 +90,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(NLS.bind("Exporting {0}...", corpus.getProject().getName().toUpperCase()));
+		newShell.setText(NLS.bind(CQPUIMessages.ExportingP0, corpus.getProject().getName().toUpperCase()));
 		newShell.setMinimumSize(400, 300);
 	}
 	
@@ -101,19 +102,19 @@
 		layout.numColumns = 3;
 		
 		Label l = new Label(comp, SWT.LEFT);
-		l.setText("Output file");
+		l.setText(CQPUIMessages.OutputFile);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false));
 		
 		textField = new Text(comp, SWT.SINGLE | SWT.BORDER);
 		textField.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-		String previousPath = TXMPreferences.getString("path", ExportCorpusDialog.class.getName());
+		String previousPath = TXMPreferences.getString("path", ExportCorpusDialog.class.getName()); //$NON-NLS-1$
 		if (previousPath == null || previousPath.length() == 0) {
-			previousPath = System.getProperty("user.home"); //
+			previousPath = System.getProperty("user.home"); // //$NON-NLS-1$
 		}
-		textField.setText(previousPath + "/" + corpus.getProject().getName().toUpperCase() + "-" + Toolbox.dateformat.format(Calendar.getInstance().getTime()) + ".txm"); //$NON-NLS-1$
+		textField.setText(previousPath + "/" + corpus.getProject().getName().toUpperCase() + "-" + Toolbox.dateformat.format(Calendar.getInstance().getTime()) + ".txm"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		selectButton = new Button(comp, SWT.PUSH);
-		selectButton.setText("...");
+		selectButton.setText("..."); //$NON-NLS-1$
 		selectButton.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -140,7 +141,7 @@
 					textField.setText(path);
 					File dir = new File(path).getParentFile();
 					getButton(IDialogConstants.OK_ID).setEnabled(dir.exists());
-					TXMPreferences.put(ExportCorpusDialog.class.getName(), "path", dir.getAbsolutePath());
+					TXMPreferences.put(ExportCorpusDialog.class.getName(), "path", dir.getAbsolutePath()); //$NON-NLS-1$
 				}
 			}
 			
@@ -148,18 +149,18 @@
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		
-		new Label(comp, SWT.NONE).setText("Corpus identifier");
+		new Label(comp, SWT.NONE).setText(CQPUIMessages.CorpusIndentifier);
 		renameField = new Text(comp, SWT.BORDER);
 		GridData gdata2 = GridDataFactory.fillDefaults().create();
 		gdata2.widthHint = 50;
 		gdata2.horizontalSpan = 2;
 		renameField.setLayoutData(gdata2);
 		renameField.setText(corpus.getProject().getName());
-		renameField.setToolTipText("Change this identifier to rename the corpus");
+		renameField.setToolTipText(CQPUIMessages.ChangeThisIdentifierToRenameTheCorpus);
 		
-		new Label(comp, SWT.NONE).setText("Corpus version");
+		new Label(comp, SWT.NONE).setText(CQPUIMessages.CorpusVersion);
 		versionField = new Combo(comp, SWT.SINGLE | SWT.READ_ONLY);
-		versionField.setItems("0.8.0", "0.7.9");
+		versionField.setItems("0.8.0", "0.7.9"); //$NON-NLS-1$ //$NON-NLS-2$
 		versionField.select(0);
 		GridData gdata = GridDataFactory.fillDefaults().create();
 		gdata.widthHint = 50;
@@ -176,7 +177,7 @@
 				
 				@Override
 				public boolean accept(File f) {
-					return !f.getName().startsWith(".") && !f.isHidden() && f.isDirectory() && !defaultFiles.contains(f.getName());
+					return !f.getName().startsWith(".") && !f.isHidden() && f.isDirectory() && !defaultFiles.contains(f.getName()); //$NON-NLS-1$
 				}
 			});
 			Arrays.sort(files, new Comparator<File>() {
@@ -213,7 +214,7 @@
 			
 			if (files.length > 0) {
 				treeViewer = new TableViewer(comp, SWT.CHECK | SWT.BORDER | SWT.V_SCROLL | SWT.H_SCROLL);
-				treeViewer.getTable().setToolTipText("Directories not managed by TXM");
+				treeViewer.getTable().setToolTipText(CQPUIMessages.DirectoriesNotManagedByTXM);
 				treeViewer.setContentProvider(new ArrayContentProvider());
 				
 				treeViewer.getTable().addListener(SWT.Selection, event -> {
@@ -229,7 +230,7 @@
 				treeViewer.getTable().setLinesVisible(true);
 				
 				nameColumn = new TableViewerColumn(treeViewer, SWT.NONE);
-				nameColumn.getColumn().setText("Add extra files");
+				nameColumn.getColumn().setText(CQPUIMessages.AddExtraFiles);
 				nameColumn.getColumn().pack();
 				nameColumn.setLabelProvider(new CellLabelProvider() {
 					
@@ -242,7 +243,7 @@
 							cell.setText(f.getName());
 						}
 						else {
-							cell.setText("" + element.getClass());
+							cell.setText("" + element.getClass()); //$NON-NLS-1$
 						}
 					}
 				});
@@ -253,7 +254,7 @@
 				}
 				
 				Button selectAllButton = new Button(comp, SWT.PUSH);
-				selectAllButton.setText("Select All");
+				selectAllButton.setText(CQPUIMessages.SelectAll);
 				selectAllButton.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -266,7 +267,7 @@
 				});
 				
 				Button clearAllButton = new Button(comp, SWT.PUSH);
-				clearAllButton.setText("Clear selection");
+				clearAllButton.setText(CQPUIMessages.ClearSelection);
 				clearAllButton.addSelectionListener(new SelectionListener() {
 					
 					@Override
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/SetOperationsDialog.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/SetOperationsDialog.java	(revision 3448)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/SetOperationsDialog.java	(revision 3449)
@@ -38,6 +38,7 @@
 import org.txm.rcp.swt.provider.SimpleLabelProvider;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.searchengine.cqp.rcp.messages.CQPUIMessages;
 
 /**
  * 
@@ -59,18 +60,18 @@
 	
 	public static HashMap<String, String> operations = new HashMap<String, String>();
 	static {
-		operations.put("UNION", "''{0}'' subcorpus union with...");
-		operations.put("INTER", "''{0}'' subcorpus intersection with...");
-		operations.put("MINUS", "''{0}'' subcorpus minus");
-		operations.put("COMPL", "''{0}'' subcorpus complement...");
+		operations.put("UNION", "''{0}'' subcorpus union with..."); //$NON-NLS-1$ //$NON-NLS-2$
+		operations.put("INTER", "''{0}'' subcorpus intersection with..."); //$NON-NLS-1$ //$NON-NLS-2$
+		operations.put("MINUS", "''{0}'' subcorpus minus"); //$NON-NLS-1$ //$NON-NLS-2$
+		operations.put("COMPL", "''{0}'' subcorpus complement..."); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public static HashMap<String, String> symbols = new HashMap<String, String>();
 	static {
-		symbols.put("UNION", "{0} ∪ {1}");
-		symbols.put("INTER", "{0} ∩ {1}");
-		symbols.put("MINUS", "{0} - {1}");
-		symbols.put("COMPL", "-{0}");
+		symbols.put("UNION", "{0} ∪ {1}"); //$NON-NLS-1$ //$NON-NLS-2$
+		symbols.put("INTER", "{0} ∩ {1}"); //$NON-NLS-1$ //$NON-NLS-2$
+		symbols.put("MINUS", "{0} - {1}"); //$NON-NLS-1$ //$NON-NLS-2$
+		symbols.put("COMPL", "-{0}"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	/**
@@ -84,7 +85,7 @@
 		super(parentShell);
 		this.operation = operation;
 		this.corpus[0] = corpus1;
-		if (this.operation.equals("COMPL")) {
+		if (this.operation.equals("COMPL")) { //$NON-NLS-1$
 			this.corpus[1] = corpus1.getCorpusParent();
 		}
 	}
@@ -104,14 +105,14 @@
 		layout.numColumns = 2;
 		
 		Label l = new Label(comp, SWT.LEFT);
-		l.setText("Name");
+		l.setText(CQPUIMessages.Name);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false));
 		
 		textField = new Text(comp, SWT.SINGLE|SWT.BORDER);
 		textField.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 
 		treeViewer = new TreeViewer (comp, SWT.SINGLE | SWT.BORDER);
-		if (this.operation.equals("COMPL")) {
+		if (this.operation.equals("COMPL")) { //$NON-NLS-1$
 			treeViewer.getTree().setEnabled(false);
 		}
 		treeViewer.setContentProvider(new ITreeContentProvider() {
@@ -176,7 +177,7 @@
 		});
 
 		nameColumn = new TreeViewerColumn(treeViewer, SWT.NONE);
-		nameColumn.getColumn().setText("Availables Subcorpus");
+		nameColumn.getColumn().setText(CQPUIMessages.AvailablesSubcorpus);
 		nameColumn.getColumn().setWidth(150);
 		nameColumn.setLabelProvider(new CellLabelProvider() {
 			@Override
@@ -186,7 +187,7 @@
 				if (element instanceof CQPCorpus) {
 					cell.setText(((CQPCorpus)element).getName());
 				} else {
-					cell.setText("");
+					cell.setText(""); //$NON-NLS-1$
 				}
 			}
 		});
@@ -214,7 +215,7 @@
 	}
 
 	public String getDefaultName() {
-		String s = "[select a subcorpus in the list]";
+		String s = CQPUIMessages.SelectASubcorpusInTheList;
 		if (corpus[1] != null) {
 			s = corpus[1].getSimpleName();
 		}
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/messages.properties	(revision 3448)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/messages.properties	(revision 3449)
@@ -2,11 +2,33 @@
 #Tue Dec 18 10:24:08 CET 2018
 additionalAmpoptionsForTheCWBServerColon=Additional &options for the CQP server\: 
 ampRemoteCWBServerAddressColon=&Remote CWB server address\:
+AddExtraFiles=Add extra files
+AvailablesSubcorpus=Availables Subcorpus
+ChangeThisIdentifierToRenameTheCorpus=Change this identifier to rename the corpus
+ClearSelection=Clear selection
+CorpusIndentifier=Corpus identifier
+CorpusVersion=Corpus version
 cQPlibPath=CQPlib path
+creatingANewPartitionWithP0=Creating a new partition on {0}
 cWBServerColonAmphostColon=Remote CQP server\: &host\:
 cWBServerColonAmploginColon=Remote CQP server\: &login\:
 cWBServerColonAmppasswordColon=Remote CQP server\: &password\:
 cWBServerColonAmpportColon=Remote CQP server\: network &port\:
+DirectoriesNotManagedByTXM=Directories not managed by TXM
+ErrorAllPartsAreEmpty=Error: all parts are empty.
+ErrorSelectedSubcorpusHaveDifferentMainCorpusP0=Error: selected subcorpus have different main corpus: 
+ErrorSelectionSize2=Error: selection size \!= 2 : 
+errorColonThePartitionCreatedHasNoPart=** Error: the partition created is empty.
+errorColonThePartitionWasNotCreated=** Error: the partition has not been created.
+errorWhileCreatingAPartitionColonP0=** Error while creating a partition: {0}
+ExportingP0=Exporting {0}...
+Name=Name
+noSelectionForColon=No selection for: 
+OutputFile=Output file
 pathToCWBServerBinary=Path to the CQP server executable file
 pathToCWBServerInitializationFile=Path to the CQP server configuration file
+refreshingCorpora=Updating the Corpus view
+SelectAll=Select All
+SelectASubcorpusInTheList=[select a subcorpus in the list]
 useNetworkProtocol=Use the network protocol
+WarningSomePartsAreEmptyP0=Warning: some parts are empty: {0}
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 3448)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 3449)
@@ -14,7 +14,9 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String cQPlibPath; 
+	public static String cQPlibPath;
+
+	public static String creatingANewPartitionWithP0; 
 	public static String useNetworkProtocol; 
 	public static String ampRemoteCWBServerAddressColon; 
 	public static String cWBServerColonAmphostColon; 
@@ -23,7 +25,49 @@
 	public static String cWBServerColonAmppasswordColon; 
 	public static String pathToCWBServerBinary; 
 	public static String pathToCWBServerInitializationFile; 
-	public static String additionalAmpoptionsForTheCWBServerColon; 
+	public static String additionalAmpoptionsForTheCWBServerColon;
+
+	public static String AddExtraFiles;
+
+	public static String AvailablesSubcorpus;
+
+	public static String ChangeThisIdentifierToRenameTheCorpus;
+
+	public static String ClearSelection;
+
+	public static String CorpusIndentifier;
+
+	public static String CorpusVersion;
+
+	public static String DirectoriesNotManagedByTXM;
+
+	public static String ErrorAllPartsAreEmpty;
+
+	public static String ErrorSelectedSubcorpusHaveDifferentMainCorpusP0;
+
+	public static String ErrorSelectionSize2;
+
+	public static String errorColonThePartitionCreatedHasNoPart;
+
+	public static String errorColonThePartitionWasNotCreated;
+
+	public static String errorWhileCreatingAPartitionColonP0;
+
+	public static String ExportingP0;
+
+	public static String Name;
+
+	public static String noSelectionForColon;
+
+	public static String OutputFile;
+
+	public static String refreshingCorpora;
+
+	public static String SelectAll;
+
+	public static String SelectASubcorpusInTheList;
+
+	public static String WarningSomePartsAreEmptyP0; 
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 3448)
+++ TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 3449)
@@ -21,7 +21,8 @@
 	public static String showingPreviousResultPage; 
 	public static String referencePattern; 
 	public static String referencer; 
-	public static String orderReferencesByFrequency; 
+	public static String orderReferencesByFrequency;
+	public static String showCounts; 
 
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/messages_fr.properties	(revision 3448)
+++ TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/messages_fr.properties	(revision 3449)
@@ -8,3 +8,4 @@
 showingLastResultPage=Affichage de la dernière page de résultats
 showingNextResultPage=Affichage de la page de résultats suivante 
 showingPreviousResultPage=Affichage de la page de résultats précédente 
+showCounts=Show counts
\ No newline at end of file
Index: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/messages.properties	(revision 3448)
+++ TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/messages.properties	(revision 3449)
@@ -8,3 +8,4 @@
 showingLastResultPage=Showing the last page of results
 showingNextResultPage=Showing the next page of results
 showingPreviousResultPage=Showing the previous page of results
+showCounts=Show counts
\ No newline at end of file
Index: TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 3448)
+++ TXM/trunk/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 3449)
@@ -194,7 +194,7 @@
 		
 		// [show counts]
 		showCountsButton = new Button(paramArea, SWT.CHECK);
-		showCountsButton.setText("Show counts");
+		showCountsButton.setText(ReferencerUIMessages.showCounts);
 		showCountsButton.setSelection(referencer.getShowCounts());
 		
 		
